A. Answer
Last Updated: Apr 22, 2015     Views: 30

Library Basic Training requires the following:

  • Internet Explorer 8+, Firefox, Safari or Chrome
  • Pop-ups enabled (required to view the course completion certificate)